Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class PKCS11RuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--iaik.pkcs.pkcs11.TokenRuntimeException
                              |
                              +--iaik.pkcs.pkcs11.wrapper.PKCS11RuntimeException

All Implemented Interfaces:
  java.io.Serializable

public class PKCS11RuntimeException
extends TokenRuntimeException

This is the superclass of all runtime exception used by this library. For instance, Runtime exceptions occur, if an internal error in the native part of the wrapper occurs.

Version:
  1.0
Author:
  Karl Scheibelhofer
See Also:
  Serialized Form

Fields inherited from class iaik.pkcs.pkcs11.TokenRuntimeException
`encapsulatedException_`

Constructor Summary
`PKCS11RuntimeException()` Empty constructor.
`PKCS11RuntimeException(java.lang.Exception encapsulatedException)` Constructor taking an other exception to wrap.
`PKCS11RuntimeException(java.lang.String message)` Constructor taking a string that describes the reason of the exception in more detail.
`PKCS11RuntimeException(java.lang.String message, java.lang.Exception encapsulatedException)` Constructor taking a message for this exception and an other exception to wrap.

Methods inherited from class iaik.pkcs.pkcs11.TokenRuntimeException
`getEncapsulatedException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PKCS11RuntimeException

    public PKCS11RuntimeException()

  Empty constructor.

### PKCS11RuntimeException

    public PKCS11RuntimeException(java.lang.String message)

  Constructor taking a string that describes the reason of the exception in more detail.
  Parameters:
    `message` - A descrption of the reason for this exception.

### PKCS11RuntimeException

    public PKCS11RuntimeException(java.lang.Exception encapsulatedException)

  Constructor taking an other exception to wrap.
  Parameters:
    `encapsulatedException` - The other exception the wrap into this.

### PKCS11RuntimeException

    public PKCS11RuntimeException(java.lang.String message,
                                  java.lang.Exception encapsulatedException)

  Constructor taking a message for this exception and an other exception to wrap.
  Parameters:
    `message` - The message giving details about the exception to ease debugging.
    `encapsulatedException` - The other exception the wrap into this.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18